## featherpad 1.6.1

=== featherpad/CMakeLists.txt ===
set(QT6_MINIMUM_VERSION "6.2.0")
set(HUNSPELL_MINIMUM_VERSION "1.6")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg PrintSupport DBus)

# for spell checking (see FindHUNSPELL.cmake)
find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)

# optional localization
find_package(Qt6 QUIET COMPONENTS LinguistTools)

if(HAIKU)
  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lnetwork")
elseif(OS2)
  # OS/2 needs an additional lib and tune the processor
  add_definitions(-mtune=pentium4 -march=pentium4)
  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
endif()

# X11 for Linux/Unix
if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  find_package(X11 REQUIRED)
endif()

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt6Core_INCLUDE_DIRS}
                      ${Qt6Gui_INCLUDE_DIRS}
                      ${Qt6Widgets_INCLUDE_DIRS}
                      ${Qt6Svg_INCLUDE_DIRS}
                      ${Qt6PrintSupport_INCLUDE_DIRS}
                      ${Qt6DBus_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR}
                      ${HUNSPELL_INCLUDE_DIRS})
  add_definitions(-DHAS_X11)
else()
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt6Core_INCLUDE_DIRS}
                      ${Qt6Gui_INCLUDE_DIRS}
                      ${Qt6Widgets_INCLUDE_DIRS}
                      ${Qt6Svg_INCLUDE_DIRS}
                      ${Qt6PrintSupport_INCLUDE_DIRS}
                      ${Qt6DBus_INCLUDE_DIRS}
                      ${HUNSPELL_INCLUDE_DIRS})
endif()

if(HAIKU)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
elseif(UNIX OR OS2)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
endif()

set(featherpad_SRCS
    main.cpp
    singleton.cpp
    signalDaemon.cpp
    fpwin.cpp
    encoding.cpp
    tabwidget.cpp
    menubartitle.cpp
    lineedit.cpp
    textedit.cpp
    tabbar.cpp
    find.cpp
    replace.cpp
    pref.cpp
    config.cpp
    brackets.cpp
    syntax.cpp
    vscrollbar.cpp
    loading.cpp
    printing.cpp
    tabpage.cpp
    searchbar.cpp
    session.cpp
    fontDialog.cpp
    sidepane.cpp
    svgicons.cpp
    spellChecker.cpp
    spellDialog.cpp
    highlighter/highlighter.cpp
    highlighter/highlighter-cmake.cpp
    highlighter/highlighter-css.cpp
    highlighter/highlighter-fountain.cpp
    highlighter/highlighter-java.cpp
    highlighter/highlighter-json.cpp
    highlighter/highlighter-html.cpp
    highlighter/highlighter-lua.cpp
    highlighter/highlighter-markdown.cpp
    highlighter/highlighter-pascal.cpp
    highlighter/highlighter-patterns.cpp
    highlighter/highlighter-perl-regex.cpp
    highlighter/highlighter-regex.cpp
    highlighter/highlighter-rest.cpp
    highlighter/highlighter-ruby.cpp
    highlighter/highlighter-rust.cpp
    highlighter/highlighter-sh.cpp
    highlighter/highlighter-tcl.cpp
    highlighter/highlighter-toml.cpp
    highlighter/highlighter-xml.cpp
    highlighter/highlighter-yaml.cpp)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  set(featherpad_SRCS ${featherpad_SRCS} x11.cpp)
endif()

qt6_add_dbus_adaptor(featherpad_DBUS_SRCS
    org.featherpad.Application.xml
    singleton.h
    FeatherPad::FPsingleton
    featherpadadaptor
    FeatherPadAdaptor
)

set(featherpad_RESOURCES data/fp.qrc)
set(DESKTOP_FILE data/featherpad.desktop)
set(METAINFO_FILE data/featherpad.metainfo.xml)
if(NOT OS2)
  set(ICON_FILE data/featherpad.svg)
else()
  enable_language(RC)
  set_source_files_properties(data/featherpad_os2.rc PROPERTIES LANGUAGE RC)
  set(featherpad_SRCS ${featherpad_SRCS} data/featherpad_os2.rc)
endif()
set(HELP_FILE data/help)
# file(GLOB HELP_TR_FILES data/help_*)

set(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)

# translations
if(Qt6LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/featherpad_*.ts)
  qt6_add_translation(QM_FILES ${TS_FILES})
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_DBUS_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  if(HAIKU)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
  elseif(APPLE)
    SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
  elseif(UNIX OR OS2)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
  endif()
else(Qt6LinguistTools_FOUND)
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_DBUS_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt6LinguistTools_FOUND)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  target_link_libraries(featherpad ${Qt6Core_LIBRARIES}
                                   ${Qt6Gui_LIBRARIES}
                                   ${Qt6Widgets_LIBRARIES}
                                   ${Qt6Svg_LIBRARIES}
                                   ${Qt6PrintSupport_LIBRARIES}
                                   ${Qt6DBus_LIBRARIES}
                                   ${X11_LIBRARIES}
                                   ${HUNSPELL_LIBRARIES})
else()
  target_link_libraries(featherpad ${Qt6Core_LIBRARIES}
                                   ${Qt6Gui_LIBRARIES}
                                   ${Qt6Widgets_LIBRARIES}
                                   ${Qt6Svg_LIBRARIES}
                                   ${Qt6PrintSupport_LIBRARIES}
                                   ${Qt6DBus_LIBRARIES}
                                   ${HUNSPELL_LIBRARIES})
endif()

# installation
if(HAIKU)
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
  # install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
elseif(APPLE)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_FILE})
  # SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_TR_FILES})
  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_FILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/help)
  # SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_TR_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/helps)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES MACOSX_BUNDLE TRUE)
  INSTALL(TARGETS featherpad DESTINATION ${CMAKE_INSTALL_PREFIX})
elseif(UNIX)
  # make symlink
  add_custom_target(fpad_symlink ALL ${CMAKE_COMMAND} -E create_symlink featherpad fpad DEPENDS featherpad COMMENT "Creating fpad as a symlink to featherpad")

  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
  install(FILES ${METAINFO_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
  install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # also install translated help files
  # install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # install symlink
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fpad DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
elseif(OS2)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES
  	OS2_DEF_EXEType "WINDOWAPI"
  )
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # also install translated help files
  # install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
endif()

=== debian/changelog ===
featherpad (1.6.1-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 1.6.1.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 06 Mar 2025 21:09:47 +0100

featherpad (1.6.0-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 1.6.0
  * debian/copyright: added myself.
  * debian/featherpad-l10n.install: drop file not ship from upstream.
  * debian/featherpad.install: drop file not ship from upstream.

  [ Andrew Lee (李健秋) ]
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Mar 2025 13:04:47 +0100

featherpad (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 12 Dec 2024 23:33:46 +0800

=== debian/control ===
Source: featherpad
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: editors
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libhunspell-dev,
               libx11-dev,
               libxext-dev,
               pkgconf,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad
Rules-Requires-Root: no

Package: featherpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: featherpad-l10n, libglib2.0-bin
Description: lightweight plain-text editor written in Qt
 FeatherPad is a lightweight plain-text editor written in Qt. It operates
 independently of any desktop environment and comes with all features
 one would expect in a modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Breaks: featherpad (<< 0.11.1)
Replaces: featherpad (<< 0.11.1)
Description: localization files for featherpad
 FeatherPad is a lightweight plain-text editor written in Qt. It operates
 independently of any desktop environment and comes with all features
 one would expect in a modern editor.
 .
 This package contains the localization files needed by the featherpad.

## featherpad 1.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)
project(featherpad)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

add_definitions(-Wall)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  if(HAIKU)
    set(CMAKE_INSTALL_PREFIX "/boot/home/config/non-packaged/apps/FeatherPad")
  elseif(APPLE)
    set(CMAKE_INSTALL_PREFIX "/Applications")
  elseif(UNIX)
    set(CMAKE_INSTALL_PREFIX "/usr")
  elseif(OS2)
    set(CMAKE_INSTALL_PREFIX "/@unixroot/usr/")
  endif()
endif()

option(WITHOUT_X11 "Compiling without X11..." OFF)
# OS/2 never has X11
if (OS2)
  option(WITHOUT_X11 "Compiling without X11..." ON)
endif()

add_subdirectory(featherpad)

=== debian/changelog ===
featherpad (1.6.2-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 19:02:16 +0800

featherpad (1.6.2-1~exp1) experimental; urgency=medium

  * New upstream version 1.6.2. (Closes: #1096623)
  * debian/control: Added myself.
  * debian/copyright: Added myself.
  * Ran wrap-and-sort.

 -- Joel Orón Valiente <moded3v@gmail.com>  Mon, 14 Jul 2025 14:47:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: featherpad
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Joel Orón Valiente <moded3v@gmail.com>
 Section: editors
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                libhunspell-dev,
                libx11-dev,
                libxext-dev,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem=cmake

=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/([vV]?@ANY_VERSION@)@ARCHIVE_EXT@/releases\/download\/$1\/FeatherPad-$2\.tar\.xz/,filenamemangle=s/[vV]?@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/FeatherPad/tags .*/[vV]?@ANY_VERSION@@ARCHIVE_EXT@

## featherpad 1.6.3

=== debian/changelog ===
featherpad (1.6.3-0.1~mx25) mx; urgency=medium

  * New upstream version 1.6.3:
    - Check for nullity before calling `deleteLater()` — they say that's needed
      with Clang's optimizations enabled.
    - Fixed an asymmetry between the forward and backward searches/replacements
      if some text was selected.
    - Made replacing after searching easier (without needing to clear the 
      selection first).
    - Fixed showing of ampersand in the recent files menus.
    - Fixed highlighting of C++ numbers with single quote as separator.
    - Added more explanation on searching and replacing to Help.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jan 2026 13:20:23 -0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: featherpad
-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Joel Orón Valiente <moded3v@gmail.com>
@@ -22,14 +23,14 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: featherpad-l10n, libglib2.0-bin
+Depends: ${misc:Depends}, ${shlibs:Depends},
+          featherpad-l10n, libglib2.0-bin
 Description: lightweight plain-text editor written in Qt
  FeatherPad is a lightweight plain-text editor written in Qt. It operates
  independently of any desktop environment and comes with all features
  one would expect in a modern editor.
  .
- This package contains the application files.
+ This package contains the application's binary files.
 
 Package: featherpad-l10n
 Architecture: all
@@ -43,4 +44,4 @@
  independently of any desktop environment and comes with all features
  one would expect in a modern editor.
  .
- This package contains the localization files needed by the featherpad.
+ This package contains the localization files needed by Featherpad.
